Bug 20102 - Remove attribute "text/css" for style element used in staff client templates
Summary: Remove attribute "text/css" for style element used in staff client templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-30 17:02 UTC by Owen Leonard
Modified: 2019-05-27 12:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates (28.09 KB, patch)
2018-11-29 18:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates (18.49 KB, patch)
2019-02-04 14:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates (18.57 KB, patch)
2019-02-08 20:42 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates (18.77 KB, patch)
2019-02-09 19:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-30 17:02:00 UTC
Conformance rules for HTML5 is generating warnings for <style> element
with type="text/css" attribute when the OPAC page is checked
with W3C Validator. 

The type attribute is optional, and when none is provided it defaults to "text/css" - https://www.w3.org/TR/html5/document-metadata.html#element-attrdef-style-type.
Comment 1 Owen Leonard 2018-11-29 18:01:36 UTC
Created attachment 82759 [details] [review]
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates

This patch modifies staff client templates to remove the "type"
attribute from <style> tags. The attribute is no longer valid.

To test, apply the patch and confirm the changes to the templates. The
appearance of the staff client should be unchanged.

Validating pages from the staff client should not return any errors
related to the <style> "type" attribute.
Comment 2 Owen Leonard 2019-02-04 14:15:15 UTC
Created attachment 84703 [details] [review]
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates

This patch modifies staff client templates to remove the "type"
attribute from <style> tags. The attribute is no longer valid.

To test, apply the patch and confirm the changes to the templates. The
appearance of the staff client should be unchanged.

Validating pages from the staff client should not return any errors
related to the <style> "type" attribute.
Comment 3 José-Mario Monteiro-Santos 2019-02-08 20:42:36 UTC
Created attachment 84902 [details] [review]
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates

This patch modifies staff client templates to remove the "type"
attribute from <style> tags. The attribute is no longer valid.

To test, apply the patch and confirm the changes to the templates. The
appearance of the staff client should be unchanged.

Validating pages from the staff client should not return any errors
related to the <style> "type" attribute.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 4 Katrin Fischer 2019-02-09 19:15:31 UTC
Created attachment 84905 [details] [review]
Bug 20102: Remove attribute "text/css" for <style> element used in staff client templates

This patch modifies staff client templates to remove the "type"
attribute from <style> tags. The attribute is no longer valid.

To test, apply the patch and confirm the changes to the templates. The
appearance of the staff client should be unchanged.

Validating pages from the staff client should not return any errors
related to the <style> "type" attribute.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-02-19 13:59:00 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Katrin Fischer 2019-02-25 23:00:32 UTC
The <style> in the title broke display of the release notes on gitlab. Removing the <>.
Comment 7 Martin Renvoize 2019-02-26 09:05:21 UTC
It's good to be conformant, pushed to 18.11.x for 18.11.04